Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 621199 - Can't add new printer
Can't add new printer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-04 09:58 EDT by Pavel Stehlik
Modified: 2013-01-13 08:57 EST (History)
5 users (show)

See Also:
Fixed In Version: system-config-printer-1.2.5-6.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-22 17:14:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (9.15 KB, patch)
2010-09-23 12:14 EDT, Jiri Popelka
no flags Details | Diff

  None (edit)
Description Pavel Stehlik 2010-08-04 09:58:46 EDT
Description of problem:
There was an error during the CUPS operation: 'client-error-not-possible'.

Version-Release number of selected component (if applicable):
cups-1.4.4-5.fc13.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Gnome, normal User, System/Printing
2. Add Printer, 2x root pwd, Network, AppSocket/HP JetD, socket://canon..., 9100
3. provide PPD, name+desc+loc, Apply.
  
Actual results:
Returning IPP client-error-not-possible for CUPS-Add-Modify-Printer (ipp://localhost/printers/Canon-iR-3170C-EUR) from localhost

Expected results:
New printer in Printing-localhost

Additional info:
Adding through:  http://localhost:631/printers/  works fine.
Comment 2 Jiri Popelka 2010-08-04 10:22:29 EDT
User was adding host-name of a printer like socket://canon-printer.brq.redhat.com which resolved as socket://socket://canon-printer.brq.redhat.com:9100 device-uri.

We should probably better check correctness of typed-in ip-address/hostname.
Comment 3 Pavel Stehlik 2010-08-04 10:27:54 EDT
Or maybe could be replaced label "Host:" to "socket://" front of textbox.
Comment 4 Tim Waugh 2010-08-04 11:14:57 EDT
'socket://' is the text it is, and is not translatable.  'Host:' on the other hand can be translated into something suitable for each language.

The correct solution is for system-config-printer to disallow the ':' and '/' characters I think.  One way to do this is by connecting to the 'changed' signal for that Entry object, like we do for entNPName.
Comment 5 Jiri Popelka 2010-09-23 12:14:49 EDT
Created attachment 449255 [details]
patch

Tim, can you check this one ?
And I'm not sure whether this will go into 1.2 or 1.3 ?
Comment 6 Tim Waugh 2010-09-23 12:35:57 EDT
Looks great, thanks.  This can go into 1.2.x.
Comment 8 Fedora Update System 2010-10-13 10:46:54 EDT
system-config-printer-1.2.5-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.5-1.fc14
Comment 9 Fedora Update System 2010-10-13 10:54:39 EDT
system-config-printer-1.2.5-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/system-config-printer-1.2.5-1.fc13
Comment 10 Fedora Update System 2010-10-14 02:23:55 EDT
system-config-printer-1.2.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/system-config-printer-1.2.5-1.fc13
Comment 11 Dirk Venter 2010-10-29 13:37:37 EDT
Regarding patch indicated via comment 10 - eror - Cups server error : There was an error during the CUPS operation: 'client-error-not-possible'.

Info in console indicates that a smb.conf is expected in /root/.smb/smb.conf:
If this is manually added it appears that it still expects a preconfiguration for the printer being added. Traceback -

params.c:OpenConfFile() - Unable to open configuration file "/root/.smb/smb.conf":
	No such file or directory
params.c:OpenConfFile() - Unable to open configuration file "/root/.smb/smb.conf.append":
	No such file or directory
Caught non-fatal exception.  Traceback:
File "/usr/share/system-config-printer/system-config-printer.py", line 5571, in on_btnSMBVerify_clicked
    os.O_RDWR, 0777)
NoEntryError: (2, 'No such file or directory')
Continuing anyway..
No ID match for device smb://hp7500/HP-CP1215:
MFG:Generic;MDL:Printer;DES:Generic Printer;
Using textonly.ppd (status: 3)
Comment 12 Tim Waugh 2010-11-01 07:49:05 EDT
This just indicates that the share is not accessible.  The "/root/.smb/..." messages come from libsmbclient.  When trying to open the URI "smb://hp7500/HP-CP1215", the libsmbclient library returned an error code indicating that it does not exist or cannot find it.

That message is unrelated to "client-error-not-possible", which indicates some other sort of problem.  Can you expand any more on what went wrong?
Comment 13 Pavel Stehlik 2010-11-08 06:41:27 EST
FC14; system-config-printer-1.2.5-3.fc14.x86_64;
Now is impossible enter chars like /';:%^&  into HOST field.
Then solved, thank you.
Comment 14 Gilles Gagniard 2010-11-12 04:42:48 EST
I'm also impacted by this bug, while trying to add a new SMB remote printer. Here is what I get from CUPS error logs :

E [12/Nov/2010:10:33:02 +0100] Returning IPP client-error-not-possible for CUPS-Add-Modify-Printer (ipp://localhost/printers/Canon-imageRunner-C5800) from localhost
E [12/Nov/2010:10:33:02 +0100] Returning HTTP Forbidden for CUPS-Add-Modify-Printer (ipp://localhost/printers/Canon-imageRunner-C5800) from localhost
E [12/Nov/2010:10:33:09 +0100] Returning IPP client-error-not-possible for CUPS-Add-Modify-Printer (ipp://localhost/printers/Canon-imageRunner-C5800) from localhost
E [12/Nov/2010:10:33:11 +0100] Returning IPP client-error-not-possible for CUPS-Add-Modify-Printer (ipp://localhost/printers/Canon-imageRunner-C5800) from localhost

Of course, adding printer manually works perfectly.
Comment 15 Tim Waugh 2010-11-12 06:21:55 EST
Dirk and Gilles: it sounds like the problem you are both experiencing is entirely different to this one (of using a device URI like socket://socket://...).

Please file a separate bug report.  Use 'cupsctl --debug-logging' to enable extra logging, then try adding the printer, and attach to the new bug report any log messages you get.  Use 'cupsctl --no-debug-logging' to turn off extra logging.
Comment 16 Fedora Update System 2010-11-16 18:23:01 EST
system-config-printer-1.2.5-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-11-22 17:12:43 EST
system-config-printer-1.2.5-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.